= TCP Consumer

A consumer that allows you to send TCP messages.

== Beans for injection

The `TcpConsumerConfiguration` auto-configuration provides the following bean:

`Consumer<Message<?>> tcpConsumer`

You can use `tcpConsumer` as a qualifier when injecting.

== Configuration Options

All configuration properties are prefixed with `tcp.consumer`.

For more information on the various options available, please see link:src/main/java/org/springframework/cloud/fn/consumer/tcp/TcpConsumerProperties.java[TCPConsumerProperties].

== Tests

See this link:src/test/java/org/springframework/cloud/fn/consumer/tcp[test suite] for the various ways, this consumer is used.

== Other usage

See this https://github.com/spring-cloud/stream-applications/blob/master/applications/sink/tcp-sink/README.adoc[README] where this consumer is used to create a Spring Cloud Stream application where it makes a TCP sink.